{
  "openapi" : "3.0.1",
  "info" : {
    "description" : "<hr> <p>\n  All requests require authentication. Press the Authorize button below, select the <tt>groups</tt>\n  and <tt>tenant_id</tt> scopes, then press Authorize. There is no need to change the <tt>client_id</tt>\n  field. You will be redirected to this page upon successful authentication with Okta.\n</p>",
    "title" : "Settings Vault (Helios)",
    "version" : "1"
  },
  "servers" : [ {
    "url" : "/api"
  } ],
  "security" : [ {
    "Guidewire-Hub" : [ "groups", "tenant_id" ]
  } ],
  "tags" : [ {
    "name" : "springClient"
  }, {
    "name" : "client"
  }, {
    "name" : "applications"
  }, {
    "name" : "setting-values v2"
  }, {
    "name" : "setting-values"
  }, {
    "name" : "whoami"
  }, {
    "name" : "beta"
  }, {
    "name" : "tenants"
  }, {
    "name" : "rolemappings"
  }, {
    "description" : "[FOR FUTURE USE (NOT IMPLEMENTED / AVAILABLE)]",
    "name" : "secret-rotations"
  } ],
  "paths" : {
    "/v1/whoami" : {
      "get" : {
        "operationId" : "getCurrentUserInfo",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "can be used to test pulling the tenant from the query parameter",
          "explode" : true,
          "in" : "query",
          "name" : "testDeploymentId",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/UserSecurityInfo"
                }
              }
            },
            "description" : "Successful operation"
          },
          "401" : {
            "description" : "Unauthorized"
          }
        },
        "summary" : "Details about the current user",
        "tags" : [ "whoami" ]
      }
    },
    "/v1/tenants" : {
      "get" : {
        "description" : "Provides a way to search for tenants. If no criteria is specified, all tenants are listed. <p/> Security - caller must have admin-global role.",
        "operationId" : "getAllTenants",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "deprecated" : true,
          "description" : "0 based, value of the page being viewed",
          "explode" : true,
          "in" : "query",
          "name" : "page",
          "required" : false,
          "schema" : {
            "default" : 0,
            "type" : "integer"
          },
          "style" : "form"
        }, {
          "description" : "1 based, number of elements to be viewed per page. Default is 100.",
          "explode" : true,
          "in" : "query",
          "name" : "pageSize",
          "required" : false,
          "schema" : {
            "default" : 100,
            "type" : "integer"
          },
          "style" : "form"
        }, {
          "description" : "token to query next page results ",
          "explode" : true,
          "in" : "query",
          "name" : "nextPageToken",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "The name of the tenant you are searching for. Supports partial, case-insensitive matching",
          "explode" : true,
          "in" : "query",
          "name" : "name",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "items" : {
                    "$ref" : "#/components/schemas/Tenant"
                  },
                  "type" : "array"
                }
              }
            },
            "description" : "Successful operation",
            "headers" : {
              "x-gwre-next-page-token" : {
                "description" : "The token to query next set of results, will only appear if there is a next page of results.",
                "explode" : false,
                "schema" : {
                  "type" : "string"
                },
                "style" : "simple"
              }
            }
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          }
        },
        "summary" : "Get all tenants",
        "tags" : [ "tenants" ]
      },
      "post" : {
        "description" : "Create a tenant <p/> Security - caller must have admin-global role.",
        "operationId" : "createTenant",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/Tenant"
        },
        "responses" : {
          "201" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Tenant"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Create a tenant",
        "tags" : [ "tenants" ]
      }
    },
    "/v1/tenants/{tenantId}" : {
      "delete" : {
        "description" : "Deletes a tenant. <p/> Security - caller must have admin-global role.",
        "operationId" : "deleteTenant",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the tenant (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "tenantId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "204" : {
            "description" : "Successful operation"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          }
        },
        "summary" : "Delete a tenant",
        "tags" : [ "tenants" ]
      },
      "get" : {
        "description" : "Retrieve information about a tenant. <p/> Security - caller must have admin-global role.",
        "operationId" : "getTenant",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the tenant (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "tenantId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Tenant"
                }
              }
            },
            "description" : "Successful operation"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          }
        },
        "summary" : "Get a tenant",
        "tags" : [ "tenants" ]
      },
      "put" : {
        "description" : "Provides a way to update an existing tenant. <p/> Version is required in order to prevent concurrent updates <p/> Security - Security - caller must have admin-global role.",
        "operationId" : "updateTenant",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the tenant (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "tenantId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/Tenant"
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Tenant"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Update tenant.",
        "tags" : [ "tenants" ]
      }
    },
    "/v1/setting-values" : {
      "get" : {
        "description" : "Provides a way to search for setting values. If no criteria is specified, all setting values are listed. <p/> Security - caller must have {appname}.read role.",
        "operationId" : "getAllSettingValues",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "1 based, number of elements to be viewed per page. Default is 100.",
          "explode" : true,
          "in" : "query",
          "name" : "pageSize",
          "required" : false,
          "schema" : {
            "default" : 100,
            "type" : "integer"
          },
          "style" : "form"
        }, {
          "description" : "token to query next page results ",
          "explode" : true,
          "in" : "query",
          "name" : "nextPageToken",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Name of the application whose setting values you are searching for.\nSupports partial, case-insensitive matching.\n\n**Tip:**\nIt's strongly recommended that one always include an `application` name in their search for best performance.\n",
          "explode" : true,
          "in" : "query",
          "name" : "application",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Name (case-insensitive) of the **Planet-Class / Orbit** whose setting values you are searching for.\n\n**This attribute is only used when `layer-type` is set to `environment_level` or `project_planet_class`.**\n",
          "explode" : true,
          "in" : "query",
          "name" : "environment",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Name (case-insensitive) of the **Insurer Project / Star** whose setting values you are searching for.\n\n**This attribute is only used when `layer-type` is set to `insurer_project` or `project_planet_class`.**\n",
          "explode" : true,
          "in" : "query",
          "name" : "insurerProject",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Name of the setting value you are looking for. Supports partial, case-insensitive matching with one setting name, or exact matching with multiple comma-separated setting names.",
          "explode" : true,
          "in" : "query",
          "name" : "setting",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Value of the setting you are searching for. Not recommend for use with secrets, the search will be comparing the hashed value for the secret instead of the secret itself. Supports exact match only and requires the 'setting' parameter.",
          "explode" : true,
          "in" : "query",
          "name" : "setting-value",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "The specific layer type to search for: <code>[deployment, environment_level, insurer_project, project_planet_class, tenant_default]</code>.\n\n**Tips:**\n- When searching by layer-type `deployment`, include a `deploymentId` to narrow results to a single **Deployment**.\n- When searching by layer-type `environment_level`, include an `environment` to narrow results to a single **Orbit**.\n- When searching by layer-type `insurer_project`, include a `insurerProject` to narrow results to a single **Star**.\n- When searching by layer-type `project_planet_class`, include `insurerProject` and `environment` to narrow results to a single **Star + Orbit**.\n",
          "explode" : true,
          "in" : "query",
          "name" : "layer-type",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "GRN of deployment - exact match only. <p/> Supports searching by multiple comma-separated deployment IDs. Deployment IDs must belong to a single application. The general format of the deploymentId is <code>{grn}:{version}:{app}:{insurer-code}:{insurer-project}:{supercluster}:{quadrant}:{planet-class}:{planet}:{resource_id}</code>",
          "explode" : true,
          "in" : "query",
          "name" : "deploymentId",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "When true allows for partial name matching on application name and / or setting name(s).",
          "explode" : true,
          "in" : "query",
          "name" : "lenient",
          "required" : false,
          "schema" : {
            "type" : "boolean"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SettingValueListWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "401" : {
            "description" : "Unauthorized"
          }
        },
        "summary" : "Find setting values",
        "tags" : [ "setting-values" ]
      },
      "post" : {
        "description" : "Create a new setting value <p/> Security - caller must have {appname}.write role.",
        "operationId" : "createSettingValue",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/SettingValueWrapper"
        },
        "responses" : {
          "201" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SettingValueWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Create a setting value",
        "tags" : [ "setting-values" ]
      }
    },
    "/v1/setting-values/{settingValueId}" : {
      "delete" : {
        "description" : "Delete a setting value <p/> Security - caller must have {appname}.write role.",
        "operationId" : "deleteSettingValue",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the setting value (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "settingValueId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "204" : {
            "description" : "Successful operation"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          }
        },
        "summary" : "Delete a setting value",
        "tags" : [ "setting-values" ]
      },
      "get" : {
        "description" : "Retrieve the details of a setting value <p/> Security  <ul>\n  <li>caller must have {appname}.read role.</li>\n  <li>caller must have {appname}.secret-read role if requesting decrypted secrets.</li>\n</ul>",
        "operationId" : "getSettingValue",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the setting value (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "settingValueId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        }, {
          "description" : "True if secret setting values should be decrypted in the response",
          "explode" : true,
          "in" : "query",
          "name" : "decrypt",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "form"
        }, {
          "description" : "Reason for accessing decrypted setting - required when decrypt=true",
          "explode" : true,
          "in" : "query",
          "name" : "decrypt-reason",
          "required" : false,
          "schema" : {
            "minLength" : 3,
            "nullable" : true,
            "type" : "string"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SettingValueWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          }
        },
        "summary" : "Get a setting value",
        "tags" : [ "setting-values" ]
      },
      "put" : {
        "description" : "Provides a way to update an existing setting value. <p/> Version is required in order to prevent concurrent updates <p/> Security - caller must have {appname}.write role.",
        "operationId" : "updateSettingValue",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the setting value (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "settingValueId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/SettingValueWrapper"
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SettingValueWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Update a setting value.",
        "tags" : [ "setting-values" ]
      }
    },
    "/v1/setting-values/_batch" : {
      "post" : {
        "description" : "Allows the caller to create, update, and/or delete multiple setting values in a single atomic transaction. <p/> Optimistic Locking - version is required for update operations and should match the version number returned by GET /setting-values/{settingValueId}. <p/> Security - caller must have {appname}.write role.",
        "operationId" : "executeBatchSettingValues",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/BatchSettingValuesRequestWrapper"
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/BatchSettingValuesResponseWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Update multiple setting values",
        "tags" : [ "setting-values" ]
      }
    },
    "/v1/setting-values/_clone" : {
      "post" : {
        "description" : "Allows the caller to clone / copy setting values to a destination layer type and layer criteria in a single atomic transaction. For example, this could be used to clone selected setting values from one deployment to another deployment. <p/> Security - caller must have {appname}.write role.",
        "operationId" : "cloneSettingValues",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/CloneSettingValuesRequest"
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CloneSettingValuesResponse"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Clone setting values",
        "tags" : [ "setting-values" ]
      }
    },
    "/v1/setting-values/{settingValueId}/history" : {
      "get" : {
        "description" : "Allows the caller to retrieve every version of this setting that existed. <p/> Versions are returned in descending order and the currently effective version will have a null endDate. <p/> Security - caller must have {appname}.read role.",
        "operationId" : "executeHistoryQuery",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the setting value (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "settingValueId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/HistoryQueryResponseWrapper"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found <p/> The search criteria did not resolve to a setting. <p/> Note: Although audit logs exist for deleted settings, this endpoint does not currently support retrieving history for deleted settings."
          }
        },
        "summary" : "Get the history of a given setting",
        "tags" : [ "setting-values" ]
      }
    },
    "/v1/springClient/deploymentId/deploymentId" : {
      "get" : {
        "description" : "Returns the settings for a single application and environment. <br/><br/> This endpoint is for applications to load configuration for a specific deployment. The response contains settings from all applicable layers merged into a single response. If the any.tenant scope is used, the configuration for all tenants (same application and deployment) are also included. <br/><br/> Security - caller must have {appname}.read role. Caller must also have secret-read role to unmask secrets. The 'any.tenant' scope is required for multi-tenanted applications.",
        "operationId" : "getSpringConfig",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "GRN of the deployment",
          "explode" : true,
          "in" : "query",
          "name" : "deploymentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Environment"
                }
              }
            },
            "description" : "OK"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          }
        },
        "summary" : "Provides settings formatted for spring clients",
        "tags" : [ "springClient" ]
      }
    },
    "/v1/client/confidential/_effective-settings" : {
      "get" : {
        "description" : "Returns the effective settings for the environment. <p/> This endpoint is for applications to load configuration for a specific deployment. The response contains settings from all applicable layers merged into the effective configuration. If the any.tenant scope is used, the configuration for all tenants (same application and deployment) are also included. <p/> Security - caller must have {appname}.read role. Caller must also have secret-read role to unmask secrets.",
        "operationId" : "getEffectiveConfigNew",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "GRN for the deployment. Format: grn:version:app:tenant:star:isolation-zone:quadrant:orbit:planet:/deployment/galaxy",
          "explode" : true,
          "in" : "query",
          "name" : "deploymentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "If set to true, metadata about the setting values is returned in the response.",
          "explode" : true,
          "in" : "query",
          "name" : "debug",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/EffectiveConfigCompositeResponseWrapper"
                }
              }
            },
            "description" : "OK"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          }
        },
        "summary" : "Returns the effective settings in a client optimized format",
        "tags" : [ "client" ]
      }
    },
    "/v1/client/public/_effective-settings" : {
      "get" : {
        "description" : "Returns the effective settings and for the environment. The response contains settings from all applicable layers merged into the effective configuration. <p/> This endpoint is only loading the configuration for public (SPA) applications. All other applications should use the `/client/confidential/_effective-settings` endpoint. <p/> Security - The endpoint does not require authentication.",
        "operationId" : "getPublicEffectiveConfig",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "GRN for the deployment. Format: grn:version:app:tenant:star:isolation-zone:quadrant:orbit:planet:/deployment/galaxy",
          "explode" : true,
          "in" : "query",
          "name" : "deploymentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Insurer code to use for tenant overrides. This is required if insurerProject is supplied.",
          "explode" : true,
          "in" : "query",
          "name" : "insurerCode",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Insurer project for project overrides.",
          "explode" : true,
          "in" : "query",
          "name" : "insurerProject",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Planet class for project/planet_class overrides. Ignored when 'insurerProject' is not present.",
          "explode" : true,
          "in" : "query",
          "name" : "planetClass",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "If set to true, metadata about the setting values is returned in the response.",
          "explode" : true,
          "in" : "query",
          "name" : "debug",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/EffectiveConfigResponseWrapper"
                }
              }
            },
            "description" : "OK"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "403" : {
            "description" : "Forbidden. This deploymentId is associated with a confidential application. Please use `GET /client/confidential/_effective-settings` instead."
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          }
        },
        "summary" : "Returns the effective settings in a client optimized format for public applications",
        "tags" : [ "client" ]
      }
    },
    "/v1/applications" : {
      "get" : {
        "description" : "Provides a way to search for application. If no criteria is specified, all applications are listed. <p/> Security - caller must be authenticated",
        "operationId" : "getAllApplications",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "1 based, number of elements to be viewed per page. Default is 100.",
          "explode" : true,
          "in" : "query",
          "name" : "pageSize",
          "required" : false,
          "schema" : {
            "default" : 100,
            "type" : "integer"
          },
          "style" : "form"
        }, {
          "description" : "token to query next page results ",
          "explode" : true,
          "in" : "query",
          "name" : "nextPageToken",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "limit results based on tenancyType",
          "explode" : true,
          "in" : "query",
          "name" : "tenancyType",
          "required" : false,
          "schema" : {
            "$ref" : "#/components/schemas/TenancyType"
          },
          "style" : "form"
        }, {
          "description" : "The name of the application you are searching for. Supports partial, case-insensitive matching",
          "explode" : true,
          "in" : "query",
          "name" : "application",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "form"
        }, {
          "description" : "Defines how the application name is matched. Searching is case-insensitive.\n\nStrategies:\n* `contains` - Partial match (Default)\n* `starts-with` - Match from the beginning of the name\n* `exact` - Exact match\n",
          "explode" : true,
          "in" : "query",
          "name" : "nameMatchStrategy",
          "required" : false,
          "schema" : {
            "enum" : [ "contains", "starts-with", "exact" ],
            "type" : "string"
          },
          "style" : "form"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "items" : {
                    "$ref" : "#/components/schemas/Application"
                  },
                  "type" : "array"
                }
              }
            },
            "description" : "Successful operation",
            "headers" : {
              "x-gwre-next-page-token" : {
                "description" : "The token to query next set of results, will only appear if there is a next page of results.",
                "explode" : false,
                "schema" : {
                  "type" : "string"
                },
                "style" : "simple"
              }
            }
          }
        },
        "summary" : "Search for applications",
        "tags" : [ "applications" ]
      },
      "post" : {
        "description" : "Register a new application. <p/> Security - caller must have application-create role.",
        "operationId" : "createApplication",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/Application"
        },
        "responses" : {
          "201" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Application"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
            "description" : "Conflict"
          }
        },
        "summary" : "Create an application.",
        "tags" : [ "applications" ]
      }
    },
    "/v1/applications/{applicationId}" : {
      "delete" : {
        "description" : "Delete the application. Currently cannot be deleted unless all associated settings are removed first. Deleting the application will delete all setting definitions associated with the application. <p/> Security - caller must have admin-global role.",
        "operationId" : "deleteApplication",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the application (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "applicationId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "default" : {
            "description" : "Successful operation"
          }
        },
        "summary" : "Delete an application",
        "tags" : [ "applications" ]
      },
      "get" : {
        "description" : "Get the details of an application. <p/> Security - caller must have {appname}.read role.",
        "operationId" : "getApplication",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the application (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "applicationId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Application"
                }
              }
            },
            "description" : "Successful operation"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          }
        },
        "summary" : "Get an application.",
        "tags" : [ "applications" ]
      },
      "put" : {
        "description" : "Updates an existing application. <p/> Version is required in order to prevent concurrent updates <p/> Security - caller must have {appname}.write role.",
        "operationId" : "updateApplication",
        "parameters" : [ {
          "description" : "Indicates the tenant. If not passed, it defaults to guidewire but only temporarily. It will be required in the near future. <p/> This header is ignored when `GW-Request-GRN` is also supplied.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Tenant",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Used to pass multiple attributes such as tenant, project, planet class, etc of the caller or originator of the request. See [Guidewire Resource Notation](https://guidewireconfluence.atlassian.net/wiki/spaces/CCS/pages/92052971/GRN+-+Guidewire+Resource+Notation) for additional details. <p/> Note: Helios only uses the insurer-code from this header. All other attributes are ignored.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-Request-GRN",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates the user on whose behalf the request was made when client credentials are used (service to service). The value should be set to the user's UID. This can be found in the uid attribute of the user's JWT. For requests using Postman (or similar tool) with client credentials, your UID can be obtained through the Keti API (GET /users). <p/> This header is currently optional but it will be required in the future for any operation that updates data with a client token acquired using client credentials.",
          "explode" : false,
          "in" : "header",
          "name" : "GW-User",
          "required" : false,
          "schema" : {
            "type" : "string"
          },
          "style" : "simple"
        }, {
          "description" : "Indicates that any resources created as part of the request will be considered test data and will be automatically purged. The amount of time before the resource is purged varies by resource type.",
          "explode" : false,
          "in" : "header",
          "name" : "Gw-TestRequest",
          "required" : false,
          "schema" : {
            "default" : false,
            "type" : "boolean"
          },
          "style" : "simple"
        }, {
          "description" : "Identifies the application (surrogate key)",
          "explode" : false,
          "in" : "path",
          "name" : "applicationId",
          "required" : true,
          "schema" : {
            "$ref" : "#/components/schemas/id"
          },
          "style" : "simple"
        } ],
        "requestBody" : {
          "$ref" : "#/components/requestBodies/Application"
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Application"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "description" : "Unauthorized"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/AuthorizationError"
                }
              }
            },
            "description" : "Forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/Error"
                }
              }
            },
            "description" : "Not Found"
          },
          "409" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConflictError"
                }
              }
            },
[...]
